commit:     2243f67b0fab9e5c84b40c38dcb8d49ea7d48c4a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 22:23:24 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 22:24:04 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2243f67b

net-im/choqok: Temporary fix for USE !share

Closes: https://bugs.gentoo.org/708464
Package-Manager: Portage-2.3.87, Repoman-2.3.20
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 net-im/choqok/choqok-1.7.0.ebuild | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/net-im/choqok/choqok-1.7.0.ebuild 
b/net-im/choqok/choqok-1.7.0.ebuild
index b610393b434..a6a4bf140c4 100644
--- a/net-im/choqok/choqok-1.7.0.ebuild
+++ b/net-im/choqok/choqok-1.7.0.ebuild
@@ -48,9 +48,9 @@ DEPEND="
        >=kde-frameworks/sonnet-${KFMIN}:5
        attica? ( >=kde-frameworks/attica-${KFMIN}:5 )
        konqueror? (
+               >=dev-qt/qtwebkit-5.212.0_pre20180120:5
                >=kde-frameworks/kparts-${KFMIN}:5
                >=kde-frameworks/kdewebkit-${KFMIN}:5
-               >=dev-qt/qtwebkit-5.212.0_pre20180120:5
        )
        share? ( >=kde-frameworks/purpose-${KFMIN}:5 )
        telepathy? ( net-libs/telepathy-qt[qt5(+)] )
@@ -59,6 +59,12 @@ RDEPEND="${DEPEND}"
 
 DOCS=( AUTHORS README changelog )
 
+src_prepare() {
+       ecm_src_prepare
+       # TODO: quick fix for bug #708464
+       sed -e "/find_package.*Purpose)/s/ COMPONENTS //" -i CMakeLists.txt || 
die
+}
+
 src_configure() {
        local mycmakeargs=(
                $(cmake_use_find_package attica KF5Attica)

Reply via email to